Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.scanner.bytes
Class InputStreamRecordBlock

    java.lang.Object
      com.servingxml.components.flatfile.scanner.bytes.AbstractRecordBlock
          com.servingxml.components.flatfile.scanner.bytes.InputStreamRecordBlock

All Implemented Interfaces:
  RecordBlock

    public class InputStreamRecordBlock

extends AbstractRecordBlock
implements RecordBlock

Field Summary
`protected static int` | `BLOCK_LENGTH`

Fields inherited from class com.servingxml.components.flatfile.scanner.bytes.AbstractRecordBlock
`buffer, capacity, length, maxCapacity, reserved, start`

Constructor Summary
`InputStreamRecordBlock(java.io.InputStream is)`
`InputStreamRecordBlock(java.io.InputStream is, int blockLength)`

Method Summary
`protected void` | `read(int n)`

Methods inherited from class com.servingxml.components.flatfile.scanner.bytes.AbstractRecordBlock
`buffer, capacity, clear, getReserved, grow, length, maxCapacity, next, remove, setReserved, size, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.flatfile.scanner.bytes.RecordBlock
`buffer, capacity, clear, getReserved, length, maxCapacity, next, remove, setReserved, size, start`

Field Detail

### BLOCK_LENGTH

    protected static final int BLOCK_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### InputStreamRecordBlock

    public InputStreamRecordBlock(java.io.InputStream is)

### InputStreamRecordBlock

    public InputStreamRecordBlock(java.io.InputStream is,
                                  int blockLength)

Method Detail

### read

    protected void read(int n)
                 throws java.io.IOException

  Specified by:
    `read` in class `AbstractRecordBlock`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD